# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           ezstream
Version:        0.5.6
Release:        alt1_5
Summary:        Command line source client for Icecast media streaming servers

Group:          Sound
License:        GPLv2
URL:            http://www.icecast.org/ezstream.php
Source0:        http://downloads.xiph.org/releases/ezstream/ezstream-%{version}.tar.gz

BuildRequires:  libogg-devel libvorbis-devel taglib-devel libshout2-devel libxml2-devel
Source44: import.info

%description
Ezstream is a command line source client for Icecast media streaming servers.
It began as the successor of the old "shout" utility, and has since gained a
lot of useful features.

In its basic mode of operation, it streams media files or data from standard
input without reencoding and thus requires only very little CPU resources. It
can also use various external decoders and encoders to reencode from one format
to another, and stream the result to an Icecast server. Additional features
include scriptable playlist and metadata handling. All of its features make
ezstream a very flexible source client.

Supported media formats for streaming are MP3, Ogg Vorbis and Ogg Theora.
Native metadata support includes MP3 (ID3v1 only) and Ogg Vorbis, and many more
formats when the optional TagLib support has been compiled in (which they are
for this package).


%prep
%setup -q
mkdir __examples
cp -a examples __examples/examples
rm -f __examples/examples/Makefile*
chmod a-x __examples/examples/*


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir} $RPM_BUILD_ROOT%{_datadir}/examples


%files
%{_bindir}/ezstream
%{_bindir}/ezstream-file.sh
%doc COPYING NEWS README __examples/examples
%{_mandir}/man1/ezstream.1*
%{_mandir}/man1/ezstream-file.sh.1*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.6-alt1_5
- update to new release by fcimport

* Sat Dec 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.6-alt1_4
- fc import

